/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
package com.sos.VirtualFileSystem.Interfaces;

import java.util.Date;

/**
* \class ITransferHistoryExportData 
* 
* \brief ITransferHistoryExportData - 
* 
* \details
*
* \section ITransferHistoryExportData.java_intro_sec Introduction
*
* \section ITransferHistoryExportData.java_samples Some Samples
*
* \code
*   .... code goes here ...
* \endcode
*
* <p style="text-align:center">
* <br />---------------------------------------------------------------------------
* <br /> APL/Software GmbH - Berlin
* <br />##### generated by ClaviusXPress (http://www.sos-berlin.com) #########
* <br />---------------------------------------------------------------------------
* </p>
* \author Uwe Risse
* \version 19.10.2011
* \see reference
*
* Created on 19.10.2011 15:00:57
 */

public interface IJadeTransferHistoryExportData {

	/**
	 * \brief getTransferId
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */
	public abstract Integer getTransferId();

	/**
	 * \brief setTransferId
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param transferId
	 */
	public abstract void setTransferId(Integer transferId);

	/**
	 * \brief setMandator
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param mandator
	 */

	public abstract void setMandator(String mandator);

	/**
	 * \brief getMandator
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getMandator();

	/**
	 * \brief getFileSize
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getFileSize();

	/**
	 * \brief setFileSize
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param fileSize
	 */

	public abstract void setFileSize(Integer fileSize);

	/**
	 * \brief getSourceHost
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getSourceHost();

	/**
	 * \brief setSourceHost
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param sourceHost
	 */

	public abstract void setSourceHost(String sourceHost);

	/**
	 * \brief setSourceHostIp
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param sourceHostIp
	 */

	public abstract void setSourceHostIp(String sourceHostIp);

	/**
	 * \brief getSourceHostIp
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getSourceHostIp();

	/**
	 * \brief setSourceUser
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param sourceUser
	 */

	public abstract void setSourceUser(String sourceUser);

	/**
	 * \brief getSourceUser
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getSourceUser();

	/**
	 * \brief setSourceDir
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param sourceDir
	 */

	public abstract void setSourceDir(String sourceDir);

	/**
	 * \brief getSourceDir
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getSourceDir();

	/**
	 * \brief getTargetHost
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getTargetHost();

	/**
	 * \brief setTargetHost
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param targetHost
	 */

	public abstract void setTargetHost(String targetHost);

	/**
	 * \brief setTargetHostIp
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param targetHostIp
	 */

	public abstract void setTargetHostIp(String targetHostIp);

	/**
	 * \brief getTargetHostIp
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getTargetHostIp();

	/**
	 * \brief setTargetUser
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param targetUser
	 */

	public abstract void setTargetUser(String targetUser);

	/**
	 * \brief getTargetUser
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getTargetUser();

	/**
	 * \brief setTargetDir
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param targetDir
	 */

	public abstract void setTargetDir(String targetDir);

	/**
	 * \brief getTargetDir
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getTargetDir();

	/**
	 * \brief setProtocolType
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param protocolType
	 */

	public abstract void setProtocolType(Integer protocolType);

	/**
	 * \brief getProtocolType
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getProtocolType();

	/**
	 * \brief setPort
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param port
	 */

	public abstract void setPort(Integer port);

	/**
	 * \brief getPort
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getPort();

	/**
	 * \brief setFilesCount
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param filesCount
	 */

	public abstract void setFilesCount(Integer filesCount);

	/**
	 * \brief getFilesCount
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getFilesCount();

	/**
	 * \brief setProfileName
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param profileName
	 */

	public abstract void setProfileName(String profileName);

	/**
	 * \brief getProfileName
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getProfileName();

	/**
	 * \brief setProfile
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param profile
	 */

	public abstract void setProfile(String profile);

	/**
	 * \brief getProfile
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getProfile();

	/**
	 * \brief setCommandType
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param commandType
	 */

	public abstract void setCommandType(Integer commandType);

	/**
	 * \brief getCommandType
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getCommandType();

	/**
	 * \brief setCommand
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param command
	 */

	public abstract void setCommand(String command);

	/**
	 * \brief getCommand
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getCommand();

	/**
	 * \brief setLog
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param log
	 */

	public abstract void setLog(String log);

	/**
	 * \brief getLog
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getLog();

	/**
	 * \brief setStatus
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param status
	 */

	public abstract void setStatus(Integer status);

	/**
	 * \brief getStatus
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Integer getStatus();

	/**
	 * \brief setLastErrorMessage
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param lastErrorMessage
	 */

	public abstract void setLastErrorMessage(String lastErrorMessage);

	/**
	 * \brief getLastErrorMessage
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getLastErrorMessage();

	/**
	 * \brief setStartTime
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param startTime
	 */

	public abstract void setStartTime(Date startTime);

	/**
	 * \brief getStartTime
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Date getStartTime();

	/**
	 * \brief setEndTime
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param endTime
	 */

	public abstract void setEndTime(Date endTime);

	/**
	 * \brief getEndTime
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Date getEndTime();

	/**
	 * \brief getStatusValue
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getStatusValue();

	/**
	 * \brief getStartTimeIso
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getStartTimeIso();

	/**
	 * \brief getEndTimeIso
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getEndTimeIso();

	/**
	 * \brief setModifiedBy
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param modifiedBy
	 */

	public abstract void setModifiedBy(String modifiedBy);

	/**
	 * \brief getModifiedBy
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getModifiedBy();

	/**
	 * \brief setCreatedBy
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param createdBy
	 */

	public abstract void setCreatedBy(String createdBy);

	/**
	 * \brief getCreatedBy
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract String getCreatedBy();

	/**
	 * \brief getCreated
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Date getCreated();

	/**
	 * \brief setCreated
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param created
	 */

	public abstract void setCreated(Date created);

	/**
	 * \brief getModified
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @return
	 */

	public abstract Date getModified();

	/**
	 * \brief setModified
	 * 
	 * \details
	 *
	 * \return 
	 *
	 * @param modified
	 */

	public abstract void setModified(Date modified);

}
