/********************************************************* begin of preamble
**
** Copyright (C) 2003-2010 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// $Id: com_base.cxx 11569 2005-07-01 10:48:25Z jz $

#ifndef _WIN32

#include "zschimmer.h"

//--------------------------------------------------------------------------------------------const

extern DEFINE_GUID( GUID_NULL               , 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 );
extern DEFINE_GUID( IID_NULL                , 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 );
extern DEFINE_GUID( CLSID_NULL              , 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 );
extern DEFINE_GUID( IID_invalid_for_uuidof  , 0x0BADF00D, 0x0BAD, 0x0BAD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF );

extern DEFINE_GUID( IID_IUnknown            , 0x00000000, 0x0000, 0x0000, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46 );
extern DEFINE_GUID( IID_IDispatch           , 0x00020400, 0x0000, 0x0000, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46 );

//-------------------------------------------------------------------------------hresult_from_win32

HRESULT hresult_from_win32( LONG x ) 
{ 
    return x <= 0 ? x 
                  : x & 0x0000FFFF | ( (HRESULT)FACILITY_WIN32 << 16 ) | 0x80000000;
}

//-------------------------------------------------------------------------------------------------

#endif

